# Webcron Management (Docker Images)
(c) 2017, 2021- Jeroen De Meerleer <me@jeroened.be>

Webcron management is an easy-to-use interface to manage cronjob running on a publicly available http-location.

# How to use the container

To deploy webcron management using a docker container I have created multiple options.

* 1 Container running daemon and webui at once (Easier)
* 2 Containers running daemon and webui in separate containers (More in accordance to docker philisophy)

## Option 1: 1 Container (Easier)
1. Create your .env file in the root of the compose instance. You can copy the [.env from this repository](https://git.jeroened.be/webcron/docker/src/branch/main/.env) and adapt to your config.

   Alternatively you can can assign the environment vars in the directly in the compose file. It's up to you what is easier for you.

2. Create your docker-compose file. You can copy the example config from [this repository](https://git.jeroened.be/webcron/docker/src/branch/main/docker-compose.yml).
3. Start the container

```` bash
    docker compose up -d
````

4. Create the first user

```` bash
    docker compose exec app php bin/console webcron:user add
````

5. Webcron management is available on http://localhost/

## Option 1: 2 Containers (Recommended)

1. Create your .env file in the root of the compose instance. You can copy the [.env from this repository](https://git.jeroened.be/webcron/docker/src/branch/main/.env) and adapt to your config.

   Alternatively you can can assign the environment vars in the directly in the compose file. It's up to you what is easier for you.

2. Create your docker-compose file. You can copy the example config from [this repository](https://git.jeroened.be/webcron/docker/src/branch/main/docker-compose.separate.yml).

3. Start the container

```` bash
    docker compose up -d
````

4. Create the first user

```` bash
    docker compose exec daemon php bin/console webcron:user add
````

5. Webcron management is available on http://localhost/

